
Ruby - Feature #11052

[PATCH] Blockless Pathname#ascend and #descend return Enumerator

04/08/2015 10:18 PM - chastell (Piotr Szotkowski)

Status: Closed   

Priority: Normal   

Assignee: akr (Akira Tanaka)   

Target version:    

Description

It would be beneficial for blockless Pathname#ascend and #descend

to return an Enumerator (rather than raise a LocalJumpError).

Example use case of finding the Git root of the current directory:

git_dir = Pathname.new('.git')

Pathname.pwd.ascend.find { |dir| dir.entries.include?(git_dir) }

Associated revisions

Revision 8bb581f8dd4eeb0e3e784488f3c8d102df9327c3 - 06/14/2015 03:14 PM - akr (Akira Tanaka)

ext/pathname/lib/pathname.rb (descend): Blockless form supported.

(ascend): Ditto.

[ruby-core:68820] [Feature #11052] Patch by Piotr Szotkowski.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@50897 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 8bb581f8 - 06/14/2015 03:14 PM - akr (Akira Tanaka)

ext/pathname/lib/pathname.rb (descend): Blockless form supported.

(ascend): Ditto.

[ruby-core:68820] [Feature #11052] Patch by Piotr Szotkowski.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@50897 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 04/08/2015 10:23 PM - chastell (Piotr Szotkowski)

- File 0001-Blockless-Pathname-ascend-and-descend-return-Enumera.patch added

#2 - 04/24/2015 12:38 PM - chastell (Piotr Szotkowski)

Apologies if you're busy and I should just wait (happy to do it!), but it's my first non-doc contribution and I'm not sure: is there anything I should add to

this feature request?

#3 - 05/21/2015 08:10 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Assigned

- Assignee set to akr (Akira Tanaka)

#4 - 06/14/2015 03:15 PM - akr (Akira Tanaka)

- Status changed from Assigned to Closed

Applied in changeset r50897.

ext/pathname/lib/pathname.rb (descend): Blockless form supported.

(ascend): Ditto.

[ruby-core:68820] [Feature #11052] Patch by Piotr Szotkowski.

Files

0001-Blockless-Pathname-ascend-and-descend-return-Enumera.patch3.44 KB 04/08/2015 chastell (Piotr Szotkowski)
